Subject: Re: [Ecrit] Additional Call Data: Info Package

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 5 Mar 2014 16:45:35 +0000

I was asked in the room to send the pointer to the email that proposes an info-package addition to additional-data-subnot.  It was easier to just repost this message that Christer sent earlier this month reminding folks to comment on his text.

Brian
On Feb 5, 2014, at 6:51 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

I’d like to remind those interested about the Info Package text, for providing additional call data, that I sent on the list in November (as requested in Vancouver).

Regards,

Christer

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 15. marraskuuta 2013 2:11
To: [email-masked]<mailto:[email-masked]>
Cc: Rosen, Brian ([email-masked]<mailto:[email-masked]>)
Subject: [Ecrit] Additional Call Data: Info Package

Hi,

I put together the first version of an Info Package used to send Additional Call Data for an emergency call, using INFO requests.

At this point I have not written a draft, because I think it would fit in draft-rosen-ecrit-addldata-subnot, eventhough we may want to change/remove the “subnot” part in the draft name.

Regards,

Christer

-----------------------------------------------

5.  Info Package for Additional Call Data

5.1.  General

The Info Package is used to update Additional Call Data related to an emergency call, as described in [I-D.ietf-ecrit-additional-data].

5.2.  Overal Description

TBD

5.3.  Applicability

The Info Package is only to be used within an emergency call.

5.4.  Info Package Name

The name of the Info Package is: infoAdditionaCallData

5.5.  Info Package Parameters

5.5.1.  General

An Info Package name parameter, maxRate, is defined for the Info Package. The parameter can be inserted by a Public Safety Answering Point (PSAP), in the Recv-Info header field of a response the INVITE request establishing the emergency call, to indicate the maximum number of INFO requests, associated with the Info Package, that can be sent towards the PSAP per second.

5.5.2.  ABNF

maxRate = "maxRate" EQUAL (1*2DIGIT ["." 1*10DIGIT])

5.6.  SIP option tags

No SIP option tags are defined for the Info Package.

5.7.  INFO message body parts

Additional Call Data is carried in the message body defined in section XXX.

The MIME type value for the message body is: 'application/emergencyCall.SvcInfo+xml', defined in section XXX.

The Content Disposition value for the message body, when associated with the Info Package, is "info-package" (see RFC 6086 [XX]).

5.8.  Info Package usage restrictions

No usage restrictions are defined for the Info Package.

5.9.  Rate of INFO requests

A PSAP can indicate the maximum rate for sending INFO requests associated with the Info Package, using the maxRate Info Package parameter.

In the absence of a maxRate parameter, INFO requests associated with the Info Package MUST NOT be sent more frequently than once every twenty seconds.

5.10.  Security considerations

Security considerations for the Info Package update mechanism are
   identical to those in [I-D.ietf-ecrit-additional-data].

-----------------------------------------------

_______________________________________________
Ecrit mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ecrit